geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <kevan.mil...@gmail.com>
Subject Re: [DISCUSS] Only Support Java SE 6 with Geronimo 2.2
Date Tue, 18 Nov 2008 01:22:21 GMT

On Nov 17, 2008, at 4:35 PM, Daniel Kulp wrote:

> On Monday 17 November 2008 4:19:45 pm Donald Woods wrote:
>> Sorry, I was away on vacation last week.
>>
>> Does anyone know of technical reason why we can't move to Java SE 6  
>> and
>> use the JAXB/JAX-WS implementation provided in the JDK?
>
> Yes.   There are parts of CXF that won't work without the non- 
> mungled versions
> JAXB.   (the versions in the JDK are package mungled.)   I've  
> STARTED going
> down the route of using ASM and other trickery to get it working on  
> cxf's
> trunk, but that's not on the 2.1.x branch.

Thanks for the info, Dan. For collective awareness, could I ask you to  
be a bit more specific about the "packaged mungled" versions of JAXB?

--kevan


Mime
View raw message